Chat with Agent
curl --request POST \
--url https://geekai.dev/api/v1/agent/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uuid": "29db255d-211c-4fc6-8fbe-af97fa59cafa",
"question": "How do I apply for XXX?",
"messages": [
{
"text": "How long is the warranty period for your products?",
"role": "human"
},
{
"text": "Our products come with a standard one-year warranty.",
"role": "ai"
}
],
"stream": true,
"sess_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://geekai.dev/api/v1/agent/chat"
payload = {
"uuid": "29db255d-211c-4fc6-8fbe-af97fa59cafa",
"question": "How do I apply for XXX?",
"messages": [
{
"text": "How long is the warranty period for your products?",
"role": "human"
},
{
"text": "Our products come with a standard one-year warranty.",
"role": "ai"
}
],
"stream": True,
"sess_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
uuid: '29db255d-211c-4fc6-8fbe-af97fa59cafa',
question: 'How do I apply for XXX?',
messages: [
{text: 'How long is the warranty period for your products?', role: 'human'},
{text: 'Our products come with a standard one-year warranty.', role: 'ai'}
],
stream: true,
sess_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://geekai.dev/api/v1/agent/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message_id": "msg_123456789",
"content": "Our return and exchange policy is as follows:...",
"reference": [
{
"content": "<string>",
"source": "<string>",
"confidence": 123
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
}
}{
"code": "validation_error",
"message": "validation error",
"details": {
"field": "error message"
}
}{
"code": "unauthorized",
"message": "invalid api key or token"
}{
"code": "not_found",
"message": "resource not found"
}{
"code": "invalid_request",
"message": "invalid request"
}Agent
Chat with Agent
POST
/
agent
/
chat
Chat with Agent
Once the agent training is complete (status=done), you can ask it questions through the chat interface.
cURL Request Example
curl --location --request POST 'https://geekai.dev/api/v1/agent/chat' \
--header 'Authorization: Bearer {YOUR_GEEKAI_API_KEY}' \
--header 'Content-Type: application/json' \
--data-raw '{
"uuid": "Agent ID",
"question": "User Question",
"messages": [
{
"text": "Historical Question 1",
"role": "human"
},
{
"text": "Historical Answer 1",
"role": "ai"
}
],
"stream": true
}'
Authorizations
bearerAuthapiKeyAuth
token
Body
application/json
agent UUID
Example:
"29db255d-211c-4fc6-8fbe-af97fa59cafa"
chat question
Example:
"How do I apply for XXX?"
chat messages
Show child attributes
Show child attributes
Example:
[
{
"text": "How long is the warranty period for your products?",
"role": "human"
},
{
"text": "Our products come with a standard one-year warranty.",
"role": "ai"
}
]
enable stream output
Example:
true
Session ID implemented by the third-party application.
Was this page helpful?
⌘I
